###
# #%L
# JavaHg
# %%
# Copyright (C) 2012 aragost Trifork ag
# %%
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
# #L%
###

# Helper functions for JavaHg.
#
# Copyright 2012 aragost Trifork

from mercurial.i18n import _
from mercurial import cmdutil, lock

"""Helper functions for JavaHg"""

cmdtable = {}
command = cmdutil.command(cmdtable)

LOCK = None

@command('javahglock', [], _('hg javahglock'))
def takelock(ui, repo):
    """lock the repository"""
    global LOCK
    LOCK = repo.lock()

@command('javahgunlock', [], _('hg javahgunlock'))
def releaselock(ui, repo):
    """unlock the repository"""
    global LOCK
    if LOCK is not None:
        LOCK.release()
        LOCK = None
